Qt 5.6 | Qt Multimedia | C++ Classes | QMediaServiceSupportedFormatsInterface

Qt 5.6.2 Reference Documentation

# QMediaServiceSupportedFormatsInterface Class

The QMediaServiceSupportedFormatsInterface class interface identifies if a media service plug-in supports a media format. More...

Header: | #include <QMediaServiceSupportedFormatsInterface>
qmake: | QT += multimedia

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceSupportedFormatsInterface()
virtual QMultimedia::SupportEstimate | hasSupport(const QString &mimeType, const QStringList &codecs) const = 0
virtual QStringList | supportedMimeTypes() const = 0

## Detailed Description

The QMediaServiceSupportedFormatsInterface class interface identifies if a media service plug-in supports a media format.

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### `[virtual]` QMediaServiceSupportedFormatsInterface::~QMediaServiceSupportedFormatsInterface()

Destroys a media service supported formats interface.

### `[pure virtual]` QMultimedia::SupportEstimate QMediaServiceSupportedFormatsInterface::hasSupport(const QString &mimeType, const QStringList &codecs) const

Returns the level of support a media service plug-in has for a mimeType and set of codecs.

### `[pure virtual]` QStringList QMediaServiceSupportedFormatsInterface::supportedMimeTypes() const

Returns a list of MIME types supported by the media service plug-in.